package com.supervision.police.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

/**
 * 完整笔录表(NoteRecords)表实体类
 *
 * @author qmy
 * @since 2024-07-05 08:53:20
 */
@Data
@TableName("note_records")
public class NoteRecords implements Serializable {

    @TableId
    private String id;
    
    /**
     * 案件id
     */
    private String caseId;
    
    /**
     * 笔录名称
     */
    private String recordName;
    
    /**
     * 笔录文件id
     */
    private String fileIds;
    
    /**
     * 姓名
     */
    private String name;
    
    /**
     * 角色
     */
    private String role;
    
    /**
     * 供述材料
     */
    private Integer confessionMaterial;
    
    /**
     * 询问人
     */
    private String lawAsker;
    
    /**
     * 供述开始时间
     */
//    @JsonFormat(pattern="yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private String confessionStartTime;
    
    /**
     * 供述结束时间
     */
//    @JsonFormat(pattern="yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private String confessionEndTime;
    
    /**
     * 排序序号
     */
    private Integer indexNum;
    
    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
    
    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    /**
     * 数据状态
     */
    private String dataStatus;

    @TableField(exist = false)
    private List<NoteRecords> children;

}

