package com.supervision.springaidemo.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 诊断问询意图问题库
 * @TableName vp_ask_template_question_library
 */
@TableName(value ="vp_ask_template_question_library")
@Data
public class VpAskTemplateQuestionLibrary implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 字典值ID(关联common_dict表ID)
     */
    private Long dictId;

    /**
     * 编码
     */
    private String code;

    /**
     * 中文注释 用户设置的问题
     */
    private String description;

    /**
     * 问题列表 由用户传入的问题生成的问题列表
     */
    private String question;

    /**
     * 默认回答编码
     */
    private String defaultAnswerCode;

    /**
     * 默认问题的回答
     */
    private String defaultAnswer;

    /**
     * 默认回答资源id
     */
    private String defaultAnswerResourceId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}